Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 714491 - Review Request: xmodconfig - A graphical front end for xmodmap
Summary: Review Request: xmodconfig - A graphical front end for xmodmap
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-06-19 16:08 UTC by Yanchuan Nian
Modified: 2013-10-19 14:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 16:35:30 UTC


Attachments (Terms of Use)

Description Yanchuan Nian 2011-06-19 16:08:39 UTC
Spec URL: http://k002.kiwi6.com/hotlink/0l5iz7lr5d/xmodconfig.spec
SRPM URL: http://k002.kiwi6.com/hotlink/c8d1760j9t/xmodconfig-0.2.0-0.1.beta.fc15.src.rpm

Description: xmodconfig is a graphical front end for xmodmap. It enables you to configure xmodmap files without using a texteditor or any additional application such as xev, so you can configure your key mapping without any knowledge of the syntax of xmodmap.

Here is the result of rpmlint:
rpmlint xmodconfig-0.2.0-0.1.beta.fc15.i686.rpm xmodconfig-0.2.0-0.1.beta.fc15.src.rpm /home/nian/rpmbuild/SPECS/xmodconfig.spec 
xmodconfig.i686: W: spelling-error Summary(en_US) xmodmap -> woodman
xmodconfig.i686: W: spelling-error %description -l en_US xmodmap -> woodman
xmodconfig.i686: W: spelling-error %description -l en_US keycodes -> key codes, key-codes, encodes
xmodconfig.src: W: spelling-error Summary(en_US) xmodmap -> woodman
xmodconfig.src: W: spelling-error %description -l en_US xmodmap -> woodman
xmodconfig.src: W: spelling-error %description -l en_US keycodes -> key codes, key-codes, encodes
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

This is my first package and I need a sponsor.Thanks.

Comment 1 Yanchuan Nian 2011-06-19 16:20:21 UTC
Here are two packages I have reviewed.
https://bugzilla.redhat.com/show_bug.cgi?id=708664
https://bugzilla.redhat.com/show_bug.cgi?id=708664
Thanks.

Comment 2 Yanchuan Nian 2011-06-19 16:39:08 UTC
Sorry for the wrong links.
https://bugzilla.redhat.com/show_bug.cgi?id=711764
https://bugzilla.redhat.com/show_bug.cgi?id=708664
I will continue to make comments on other tictets.

Comment 3 Veeti Paananen 2011-06-20 21:58:43 UTC
Just commenting: you might want to change the SourceForge URL to follow this format:

http://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

Comment 4 Yanchuan Nian 2011-06-21 12:53:28 UTC
Hi Veeti,
Thanks for your comment.New updated srpm and spec:
http://k002.kiwi6.com/hotlink/ay64znuzpv/xmodconfig.spec
http://k002.kiwi6.com/hotlink/br3f6seag8/xmodconfig-0.2.0-0.2.beta.fc15.src.rpm

Comment 5 Damian L Brasher 2011-06-26 13:13:55 UTC
Informal review comment,

The description is not completely clear, 

...keyboard-mapping `as you can use only one application to do anything needed to use xmodmap`, including...

I am not sure what you mean between the `` do you mean; there is only one application to achieve the functionality, or; you can only use one application to achieve this functionality?

(rpmlint was clean for the spec file and rpmlint SRPMS/xmodconfig-0.2.0-0.2.beta.fc15.src.rpm gave three spelling warnings)

Damian Brasher

Comment 6 Volker Fröhlich 2011-06-27 21:02:58 UTC
Don't install README. It only contains information on installing.

There should only be a space between BuildRequires -- no comma. It's even nicer to put each on a separate line.

I agree with Damian on the comment. Try to rephrase that and maybe split the sentence in two.

If you don't want to maintain this package in EPEL5 or older, you can drop the clean section, omit the rm buildroot and remove the BuildRoot definition.

You can leave out defattr in general.

Maybe make a comment on why you rm -rf %{buildroot}%{_docdir}.

Besides these things, that are mostly not blockers, I think the file is fine.

Comment 7 Yanchuan Nian 2011-06-28 01:03:30 UTC
Sorry I'm busy these days. I will update the package as soon as possible, maybe this evening or tomorrow.Thanks.

Comment 9 Volker Fröhlich 2011-09-16 21:04:27 UTC
Did you try to find a sponsor yet?

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 10 Volker Fröhlich 2011-12-13 19:34:27 UTC
Any news here?


Note You need to log in before you can comment on or make changes to this bug.